"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REG_EXPS = exports.EXT_COMMANDS = exports.ESTIMATE_TERMINAL = exports.PANEL_TITLE = exports.CHECK_DISK_SIZE = exports.CHECK_OPERATE_SYS = exports.CHECK_ARCH = exports.SET_PWD_TMP = exports.UNINTALL_PACKAGE = exports.INSTALLED_PACKNAME = exports.ALIAS_TOOL = exports.PACK_EXIST_CMD = exports.INSTALL_SHELL_LOG = exports.INSTALL_SHELL_NAME = exports.TMP_DIR = exports.SOURCE_DIR = exports.WORK_DIR = exports.HALT_EXECS = exports.RM = exports.MK_DIR = exports.PACKAGE_PREFIX_NAME = exports.PACKAGE_URL = exports.MIN_DISK_SPACE = exports.MAX_LOAD_NUM = exports.MAX_FILE_SIZE = exports.TB = exports.GB = exports.MB = exports.KB = exports.HISTORY_MAX_SIZE = exports.HOUR = exports.MINUTE = exports.SECOND = void 0;
const vscode_api_1 = require("../vscode_api/vscode_api");
exports.SECOND = 1000; // 1000ms
exports.MINUTE = 60 * exports.SECOND; // 60s
exports.HOUR = 60 * exports.MINUTE; // 60m
exports.HISTORY_MAX_SIZE = 50; // 历史报告最大容量
exports.KB = 1024; // 1KB
exports.MB = 1024 * 1 * exports.KB; // 1MB
exports.GB = 1024 * 1 * exports.MB; // 1GB
exports.TB = 1024 * 1 * exports.GB; // 1TB
exports.MAX_FILE_SIZE = 2 * exports.GB; // 最大文件上传大小
exports.MAX_LOAD_NUM = 3; // 一键部署自动下载次数
exports.MIN_DISK_SPACE = 2; // 磁盘最小空间
// 包在网站上的地址
exports.PACKAGE_URL = 'https://repo.oepkgs.net/openEuler/rpm/openEuler-20.03-LTS-SP1/contrib/x2openEuler/';
exports.PACKAGE_PREFIX_NAME = 'x2openEuler-2.0.0-630.';
// 创建文件夹的命令
exports.MK_DIR = 'mkdir -p ';
// 移除文件的命令
exports.RM = 'rm -rf ';
// 关闭后台x2openEuler的进程
exports.HALT_EXECS = 'ps -ef | grep x2openEuler.pyc | grep -v grep | awk \'{print $2}\' | xargs kill -9';
// 工作目录
exports.WORK_DIR = '/opt/x2openEuler/scan/';
// 脚本文件夹
exports.SOURCE_DIR = './script/';
// 临时工作目录，用于一键部署
exports.TMP_DIR = '/tmp/x2openEuler/';
// 部署脚本名
exports.INSTALL_SHELL_NAME = 'install.sh';
// 部署中日志名
exports.INSTALL_SHELL_LOG = 'install.log';
// 查看包名存在的命令
exports.PACK_EXIST_CMD = ['rpm -qi x2openEuler', 'rpm -qi x2openEuler-core'];
// 获取工具包命令
exports.ALIAS_TOOL = 'alias x2openEuler';
// 获取安装包名
exports.INSTALLED_PACKNAME = 'rpm -qa | grep x2openEuler';
// 卸载安装包
exports.UNINTALL_PACKAGE = ' rpm -e ';
// 设置用户x2openEuler密码
exports.SET_PWD_TMP = '(echo "x2openEuler_password" && echo "x2openEuler_password") | passwd x2openEuler';
// 查看系统架构
exports.CHECK_ARCH = 'arch';
// 查看操作系统
exports.CHECK_OPERATE_SYS = 'cat /etc/os-release';
// 查看可用空间
exports.CHECK_DISK_SIZE = 'df -hl /opt | awk \'NR == 1 {next} {print $4}\'';
// 标题名字
exports.PANEL_TITLE = {
    'deploy/easy': vscode_api_1.I18n.common_pannel_title.deploy_easy,
    'deploy/server': vscode_api_1.I18n.common_pannel_title.configure_server,
    'deploy/selection': vscode_api_1.I18n.common_pannel_title.evaluation_guide,
    'deploy/estimate/software': vscode_api_1.I18n.common_pannel_title.software_evaluation,
    'deploy/estimate/config': vscode_api_1.I18n.common_pannel_title.configuration_evaluation,
    'deploy/estimate/hardware': vscode_api_1.I18n.common_pannel_title.hardware_evaluation,
    'report/progress': vscode_api_1.I18n.common_pannel_title.result_generated,
    'report/soft-result': vscode_api_1.I18n.common_pannel_title.soft_report,
    'report/conf-result': vscode_api_1.I18n.common_pannel_title.config_report,
    'report/hard-result': vscode_api_1.I18n.common_pannel_title.hard_report,
    'report/tool-result': vscode_api_1.I18n.common_pannel_title.tool_result,
    'report-list': vscode_api_1.I18n.common_pannel_title.batch_scan_list
};
// 评估终端名字
exports.ESTIMATE_TERMINAL = {
    software: vscode_api_1.I18n.console.soft_remote_terminal,
    config: vscode_api_1.I18n.console.conf_remote_terminal,
    hardware: vscode_api_1.I18n.console.hard_remote_terminal
};
// 扩展命令
exports.EXT_COMMANDS = {
    deployEasy: 'extension.deployEasy',
    deployRemoteServer: 'extension.deployRemoteServer',
    newSoftEstimate: 'extension.newSoftEstimate',
    newConfigEstimate: 'extension.newConfigEstimate',
    newHardEstimate: 'extension.newHardEstimate',
    showReport: 'extension.showReport',
    clearReports: 'extension.clearReports',
    deleteReport: 'extension.deleteReport',
    downloadHtml: 'extension.downloadHtml',
    downloadExcel: 'extension.downloadExcel',
    deleteServer: 'extension.deleteServer',
    clearServers: 'extension.clearServers',
    editServer: 'extension.editServer',
    connectServer: 'extension.connectServer'
};
exports.REG_EXPS = {
    // 匹配工具包位置
    aliasTool: /alias x2openEuler='(?<cmd>.+)'/,
    // 匹配远程文件路径
    remoteSrc: /\:(?<url>[^:]*\/(?<name>[^\/]+?(\.html|\.tar\.gz|\.xls)))/,
    // 匹配html文件中的vue设置选项
    vueOpt: /new\s*Vue[\s]*\([\s\r\n]*(?<option>\{[^]*\})[\s\r\n]*\)/,
    // 匹配代码中的路径导入字符串
    srcUrl: /(src|href)="(.*?)"/g,
    // 匹配webpack打包后代码中的路径代码
    webpackSrc: /a\.p\+"(.*?)"/g
};
//# sourceMappingURL=global_constants.js.map