"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLocalHTML = exports.vueData2Obj = exports.hashNum = void 0;
const vscode_api_1 = require("../vscode_api");
const global_constants_1 = require("../consts/global_constants");
const file_util_1 = require("../utils/file_util");
const vscode_api_2 = require("../vscode_api/vscode_api");
/**
 * hash映射 映射到1-HISTORY_MAX_SIZE上
 * @param num 被映射的数
 * @returns hash结果
 */
function hashNum(num) {
    return num % global_constants_1.HISTORY_MAX_SIZE;
}
exports.hashNum = hashNum;
/**
 * 提取html中new Vue中的options
 * @param str 报告html的整个字符串
 * @returns string
 */
function vueData2Obj(str) {
    var _a, _b;
    const reg = (_b = (_a = str.match(global_constants_1.REG_EXPS.vueOpt)) === null || _a === void 0 ? void 0 : _a.groups) === null || _b === void 0 ? void 0 : _b.option;
    return reg;
}
exports.vueData2Obj = vueData2Obj;
/**
 * 获取本地报告html内容
 * @param localPath 本地html路径
 * @returns Promise<string>
 */
function getLocalHTML(localPath) {
    return __awaiter(this, void 0, void 0, function* () {
        vscode_api_1.default.userLog('查看' + localPath + '的历史报告');
        vscode_api_1.default.writeLog('info', '准备获取' + localPath + '的报告');
        try {
            const readHtmlRes = yield file_util_1.readFileAsync(localPath, 'utf-8');
            vscode_api_1.default.writeLog('info', '报告获取成功');
            return readHtmlRes;
        }
        catch (e) {
            vscode_api_1.default.writeLog('error', '报告获取失败：原因：' + e.message);
            vscode_api_1.default.showMsg(vscode_api_2.I18nReplace('common_tip.report_failure', { cmd: e.message })); // '报告获取失败：原因：' + e.message
            throw e;
        }
    });
}
exports.getLocalHTML = getLocalHTML;
//# sourceMappingURL=util.js.map