"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleReportDownload = void 0;
const vscode = require("vscode");
function HandleWebviewEvents() {
    return {
        closeSidebar: () => {
            vscode.commands.executeCommand('workbench.action.closeSidebar');
        },
        focusSideBar: () => {
            vscode.commands.executeCommand('workbench.action.focusSideBar');
        }
    };
}
exports.default = HandleWebviewEvents;
/**
 * 处理报告下载
 * @param panel webview
 * @param data webview name名，html资源所在地址
 */
exports.handleReportDownload = (panel, data) => {
    panel.receive('result-page-prepared', () => {
        let { name, path } = data;
        if (!/\.html$/.test(name) && /\.html$/.test(path)) {
            name += '.html';
        }
        panel.postMsg({
            command: 'report-name',
            name,
            path,
        });
    });
};
//# sourceMappingURL=HandleWebviewEvents.js.map