"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MsgWatcher = void 0;
const vscode_api_1 = require("../vscode_api");
/**
 * 管理html传送到vscode上的消息
 * subView
 * @param cmdName:string 指令名, callback:Funtion 事件回调, [context:Object 回调上下文]
 */
class MsgWatcher {
    constructor($panel) {
        this.$panel = $panel;
        this.view2VsCmds = {};
        $panel.webview.onDidReceiveMessage(this.callVsSubs, this);
    }
    // 在vscode上订阅一个消息
    subVscode(cmdName, callback, context) {
        if (this.view2VsCmds[cmdName]) {
            vscode_api_1.default.writeLog('warn', cmdName + '消息已被注册过，此操作将会覆盖之前注册的命令');
        }
        this.view2VsCmds[cmdName] = callback.bind(context);
        return this;
    }
    // 在vscode上销毁一个消息
    removeSub(cmdName) {
        delete this.view2VsCmds[cmdName];
        return this;
    }
    // 调用vscode上的消息
    callVsSubs(msg) {
        if (this.view2VsCmds && this.view2VsCmds[msg.command]) {
            this.view2VsCmds[msg.command](msg.data, this.$panel);
        }
    }
}
exports.MsgWatcher = MsgWatcher;
//# sourceMappingURL=msg_watcher.js.map