"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createResponse = exports.Vxios = void 0;
class Vxios {
    constructor(host) {
        this.host = host;
    }
    request(data) {
        const cmd = data.command;
        const successStr = `${cmd}__success`;
        const failureStr = `${cmd}__failure`;
        return new Promise((resolve, reject) => {
            this.host.receive(successStr, (res) => {
                this.host.unreceive(successStr);
                this.host.unreceive(failureStr);
                resolve(res);
            });
            this.host.receive(failureStr, (reason) => {
                this.host.unreceive(successStr);
                this.host.unreceive(failureStr);
                reject(reason);
            });
            this.host.postMsg(data);
        });
    }
}
exports.Vxios = Vxios;
function createResponse(panel, cmd, result, data) {
    const msg = {};
    if (result) {
        msg.command = cmd + '__success';
    }
    else {
        msg.command = cmd + '__failure';
    }
    if (typeof data !== 'undefined') {
        msg.data = data;
    }
    panel.postMsg(msg);
}
exports.createResponse = createResponse;
//# sourceMappingURL=request.js.map