"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TreeItem = void 0;
const vscode = require("vscode");
const util_1 = require("./util");
/**
 * 树节点类是vscode.TreeItem的子类
 */
class TreeItem extends vscode.TreeItem {
    constructor(options) {
        super(options.label, options.collapsibleState);
        this.iconPath = '';
        const { nodeType, path, num, contextValue, date, name, active, info, command } = options;
        this.path = path;
        this.num = num;
        this.name = name;
        this.date = date;
        this.active = active;
        this.info = info;
        this.contextValue = contextValue;
        this.command = command;
        if (nodeType === "server" /* NOTCONNECTSERVER */ || nodeType === "connectServer" /* CONNECTSERVER */) {
            this.iconPath = util_1.getIconPath(this.label, this.active);
        }
    }
}
exports.TreeItem = TreeItem;
//# sourceMappingURL=tree_item.js.map