"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rootItems = void 0;
const vscode = require("vscode");
const global_constants_1 = require("../consts/global_constants");
const vscode_api_1 = require("../vscode_api/vscode_api");
exports.rootItems = [
    {
        label: vscode_api_1.I18n.common_pannel_title.server_manage,
        collapsibleState: vscode.TreeItemCollapsibleState.Collapsed,
        contextValue: "manager" /* SERVER */,
        nodeType: "root" /* ROOT */,
        childType: "server" /* NOTCONNECTSERVER */ || "connectServer" /* CONNECTSERVER */,
    },
    {
        label: vscode_api_1.I18n.common_pannel_title.soft_evaluation,
        collapsibleState: vscode.TreeItemCollapsibleState.Collapsed,
        contextValue: "software" /* SOFTWARE */,
        nodeType: "root" /* ROOT */,
        childType: "report" /* REPORT */,
        command: {
            title: vscode_api_1.I18n.common_pannel_title.software_evaluation,
            command: global_constants_1.EXT_COMMANDS.newSoftEstimate
        }
    },
    {
        label: vscode_api_1.I18n.common_pannel_title.config_evaluation,
        collapsibleState: vscode.TreeItemCollapsibleState.Collapsed,
        contextValue: "config" /* CONFIG */,
        nodeType: "root" /* ROOT */,
        childType: "report" /* REPORT */,
        command: {
            title: vscode_api_1.I18n.common_pannel_title.configuration_evaluation,
            command: global_constants_1.EXT_COMMANDS.newConfigEstimate
        }
    },
    {
        label: vscode_api_1.I18n.common_pannel_title.hard_evaluation,
        collapsibleState: vscode.TreeItemCollapsibleState.Collapsed,
        contextValue: "hardware" /* HARDWARE */,
        nodeType: "root" /* ROOT */,
        childType: "report" /* REPORT */,
        command: {
            title: vscode_api_1.I18n.common_pannel_title.hardware_evaluation,
            command: global_constants_1.EXT_COMMANDS.newHardEstimate
        }
    }
];
//# sourceMappingURL=treedata.config.js.map