"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// 单例
let instance;
class Subscribe {
    constructor() {
        if (instance) {
            return instance;
        }
        else {
            instance = this;
            this.list = []; // 注册列表
        }
    }
    // 订阅
    on(name, fn) {
        if (!this.list.find(v => v.name === name)) {
            this.list.push({
                name,
                fn
            });
        }
    }
    // 删除订阅
    off(name) {
        // 遍历删除，达到取消订阅效果
        this.list.forEach((item, index) => {
            if (item.name === name) {
                this.list.splice(index, 1);
            }
        });
    }
    // 发布
    emit(name, content) {
        // 触发事件
        this.list.forEach(item => {
            if (item.name === name) {
                item.fn(content);
            }
        });
    }
}
exports.default = new Subscribe();
//# sourceMappingURL=Subscribe.js.map