#!/bin/bash

# 用于MR合入的构建脚本，不执行npm install
set -e
echo "$1"
cd "$1"
wget --no-check-certificate https://cmc-hgh-artifactory.cmc.tools.huawei.com/artifactory/opensource_general/Win32-OpenSSH/v8.1.0.0p1/package/OpenSSH-Win64.zip
unzip OpenSSH-Win64.zip -d ./tools
if [ $? -ne 0 ]; then
    exit 0
else
    echo "Path OK"
fi
# 查看node版本
node -v 
if [ $? -ne 0 ]; then
    echo "no node env"
    exit 0
else
    echo "node env ok"
fi

npm -v
if [ $? -ne 0 ]; then
    echo "no npm env"
    exit 0
else
    echo "npm env ok"
fi

$NODE_HOME/bin/./vsce -V | tee
if [ $? -ne 0 ]; then
    echo "vsce not installed"
    npm i -g vsce@1.78
else
    echo "vsce installed"
fi

# 使用vsce package打包
echo y|vsce package -o openEuler-DevKit-IDE-plugin-2.0.0-1.vsix
if [ $? -ne 0 ]; then
    echo "build failed"
else
    echo "build success"
fi
