#!/bin/sh

# the script of easy deploy

cd /tmp/x2openEuler

if [ -f "/tmp/x2openEuler/install.log" ];
then
	rm -rf /tmp/x2openEuler/install.log
fi

if [ $? -ne 0 ];
then
	echo "fail: delet history log fail" |  tee -a /tmp/x2openEuler/install.log
	exit
fi

# uninstall x2openEuler if x2openEuler exists
package=$(rpm -qa | grep "x2openEuler")
if [ -n "$package" ];
then
	echo "Start uninstall history x2openEuler rpm package!" |  tee -a /tmp/x2openEuler/install.log
	rpm -e $package
fi

if [ $? -ne 0 ];
then
	echo "fail: unstall x2openEuler fail" |  tee -a /tmp/x2openEuler/install.log
	exit
fi

# install x2openEuler rpm
rpm_name=$(ls -al | grep x2openEuler*.rpm | awk '{print $9}')
if [ -n "$rpm_name" ];
then
	echo "Start install x2openEuler rpm package!" |  tee -a /tmp/x2openEuler/install.log
	yum install -y $rpm_name
else
	echo "fail: No installable x2openEuler rpm package found" |  tee -a /tmp/x2openEuler/install.log
	exit
fi

if [ $? -ne 0 ];
then
	echo "fail: install x2openEuler fail" |  tee -a /tmp/x2openEuler/install.log
	exit
fi

if [ $? -eq 0 ];
then
    echo "success: install and init x2openEuler success" |  tee -a /tmp/x2openEuler/install.log
else
    echo "fail: init x2openEuler fail" |  tee -a /tmp/x2openEuler/install.log
fi