"use strict";

const fs = require("fs");
function ascJudge(ctts) {
  let asciiVar = true;
  let len = ctts.length;
  for (let i = 0; i < len; i++) {
    if (ctts.charCodeAt(i) > 127) {
      asciiVar = false;
      break;
    }
  }
  return asciiVar;
}
function hwDOSeol(ctts) {
  let doseol = false;
  let len = ctts.length;
  for (let i = 0; i < len; i++) {
    if (ctts.charAt(i) === "\r") {
      doseol = true;
      break;
    }
  }
  return doseol;
}
function changeUnixLineEndings(ctts) {
  let cttsList = [];
  let len = ctts.length;
  for (let i = 0; i < len; i++) {
    if (ctts.charAt(i) !== "\r") cttsList.push(ctts.charAt(i));
  }
  return cttsList.join("");
}
module.exports = function changeDosToUnix(filename, options) {
  let feedback = false;
  let write = false;
  if (options && options.feedback !== undefined) feedback = options.feedback;
  if (options && options.write !== undefined) write = options.write;
  let ms = "changeDosToUnix: 文件已经有UNIX行结尾或是二进制文件。";
  let ctts = fs.readFileSync(filename, "utf8").toString();
  if (ascJudge(ctts) && hwDOSeol(ctts)) {
    let converted = changeUnixLineEndings(ctts);
    if (write) {
      fs.writeFileSync(filename, converted, "utf8", "wb");
      return 0;
    } else {
      if (feedback) console.log(ms);
      return converted;
    }
  } else if (feedback) {
    console.log(ms);
  }
};
